Gentoo Archives: gentoo-commits

From: Sam James <sam@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/wine-vanilla/
Date: Tue, 17 May 2022 04:29:36
Message-Id: 1652761759.456ad4a33e8ff4f2820505f268737a391efe0009.sam@gentoo
1 commit: 456ad4a33e8ff4f2820505f268737a391efe0009
2 Author: Sam James <sam <AT> gentoo <DOT> org>
3 AuthorDate: Tue May 17 01:36:29 2022 +0000
4 Commit: Sam James <sam <AT> gentoo <DOT> org>
5 CommitDate: Tue May 17 04:29:19 2022 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=456ad4a3
7
8 app-emulation/wine-vanilla: [QA] drop (very) stale GCC version checks
9
10 Signed-off-by: Sam James <sam <AT> gentoo.org>
11
12 .../wine-vanilla/wine-vanilla-6.0.2.ebuild | 70 +--------------------
13 .../wine-vanilla/wine-vanilla-7.0-r2.ebuild | 70 +--------------------
14 app-emulation/wine-vanilla/wine-vanilla-7.0.ebuild | 70 +--------------------
15 .../wine-vanilla/wine-vanilla-7.5-r1.ebuild | 71 +---------------------
16 .../wine-vanilla/wine-vanilla-7.6-r1.ebuild | 70 +--------------------
17 app-emulation/wine-vanilla/wine-vanilla-7.7.ebuild | 70 +--------------------
18 app-emulation/wine-vanilla/wine-vanilla-7.8.ebuild | 70 +--------------------
19 .../wine-vanilla/wine-vanilla-9999.ebuild | 70 +--------------------
20 8 files changed, 17 insertions(+), 544 deletions(-)
21
22 diff --git a/app-emulation/wine-vanilla/wine-vanilla-6.0.2.ebuild b/app-emulation/wine-vanilla/wine-vanilla-6.0.2.ebuild
23 index 6b88760b1172..1a3c42a09643 100644
24 --- a/app-emulation/wine-vanilla/wine-vanilla-6.0.2.ebuild
25 +++ b/app-emulation/wine-vanilla/wine-vanilla-6.0.2.ebuild
26 @@ -153,80 +153,14 @@ fi
27 wine_compiler_check() {
28 [[ ${MERGE_TYPE} = "binary" ]] && return 0
29
30 - # GCC-specific bugs
31 - if tc-is-gcc; then
32 - # bug #549768
33 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
34 - ebegin "Checking for gcc-5 ms_abi compiler bug"
35 - $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
36 - # Run in subshell to prevent "Aborted" message
37 - ( "${T}"/pr66838 || false ) >/dev/null 2>&1
38 - if ! eend $?; then
39 - eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
40 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
41 - eerror "or use gcc-config to select a different compiler version."
42 - eerror "See https://bugs.gentoo.org/549768"
43 - eerror
44 - return 1
45 - fi
46 - fi
47 - # bug #574044
48 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
49 - ebegin "Checking for gcc-5-3 stack realignment compiler bug"
50 - # Compile in subshell to prevent "Aborted" message
51 - ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
52 - if ! eend $?; then
53 - eerror "Wine cannot be built with this version of gcc-5.3"
54 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
55 - eerror "or use gcc-config to select a different compiler version."
56 - eerror "See https://bugs.gentoo.org/574044"
57 - eerror
58 - return 1
59 - fi
60 - fi
61 - fi
62 -
63 # Ensure compiler support
64 - if use abi_x86_64; then
65 - ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
66 - # Compile in subshell to prevent "Aborted" message
67 - ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
68 - if ! eend $?; then
69 - eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
70 - eerror
71 - eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
72 - eerror
73 - return 1
74 - fi
75 - fi
76 + # (No checks here as of 2022)
77 + return 0
78 }
79
80 wine_build_environment_check() {
81 [[ ${MERGE_TYPE} = "binary" ]] && return 0
82
83 - if use abi_x86_64; then
84 - if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
85 - eerror "You need gcc-4.4+ to compile 64-bit wine"
86 - die
87 - elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
88 - eerror "You need clang-3.8+ to compile 64-bit wine"
89 - die
90 - fi
91 - fi
92 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
93 - ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
94 - ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
95 - ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
96 - fi
97 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
98 - if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
99 - ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
100 - ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
101 - ewarn "See package.env in man 5 portage for more information on how to do this."
102 - ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
103 - fi
104 - fi
105 -
106 if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
107 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
108 eerror "See https://bugs.gentoo.org/487864 for more details."
109
110 diff --git a/app-emulation/wine-vanilla/wine-vanilla-7.0-r2.ebuild b/app-emulation/wine-vanilla/wine-vanilla-7.0-r2.ebuild
111 index 8c66635dc66c..352885e11423 100644
112 --- a/app-emulation/wine-vanilla/wine-vanilla-7.0-r2.ebuild
113 +++ b/app-emulation/wine-vanilla/wine-vanilla-7.0-r2.ebuild
114 @@ -144,80 +144,14 @@ if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
115 fi
116
117 wine_compiler_check() {
118 - # GCC-specific bugs
119 - if tc-is-gcc; then
120 - # bug #549768
121 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
122 - ebegin "Checking for gcc-5 ms_abi compiler bug"
123 - $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
124 - # Run in subshell to prevent "Aborted" message
125 - ( "${T}"/pr66838 || false ) >/dev/null 2>&1
126 - if ! eend $?; then
127 - eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
128 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
129 - eerror "or use gcc-config to select a different compiler version."
130 - eerror "See https://bugs.gentoo.org/549768"
131 - eerror
132 - return 1
133 - fi
134 - fi
135 - # bug #574044
136 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
137 - ebegin "Checking for gcc-5-3 stack realignment compiler bug"
138 - # Compile in subshell to prevent "Aborted" message
139 - ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
140 - if ! eend $?; then
141 - eerror "Wine cannot be built with this version of gcc-5.3"
142 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
143 - eerror "or use gcc-config to select a different compiler version."
144 - eerror "See https://bugs.gentoo.org/574044"
145 - eerror
146 - return 1
147 - fi
148 - fi
149 - fi
150 -
151 # Ensure compiler support
152 - if use abi_x86_64; then
153 - ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
154 - # Compile in subshell to prevent "Aborted" message
155 - ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
156 - if ! eend $?; then
157 - eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
158 - eerror
159 - eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
160 - eerror
161 - return 1
162 - fi
163 - fi
164 + # (No checks here as of 2022)
165 + return 0
166 }
167
168 wine_build_environment_check() {
169 [[ ${MERGE_TYPE} = "binary" ]] && return 0
170
171 - if use abi_x86_64; then
172 - if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
173 - eerror "You need gcc-4.4+ to compile 64-bit wine"
174 - die
175 - elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
176 - eerror "You need clang-3.8+ to compile 64-bit wine"
177 - die
178 - fi
179 - fi
180 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
181 - ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
182 - ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
183 - ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
184 - fi
185 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
186 - if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
187 - ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
188 - ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
189 - ewarn "See package.env in man 5 portage for more information on how to do this."
190 - ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
191 - fi
192 - fi
193 -
194 if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
195 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
196 eerror "See https://bugs.gentoo.org/487864 for more details."
197
198 diff --git a/app-emulation/wine-vanilla/wine-vanilla-7.0.ebuild b/app-emulation/wine-vanilla/wine-vanilla-7.0.ebuild
199 index 686fd3d3e1af..90894fbc6aef 100644
200 --- a/app-emulation/wine-vanilla/wine-vanilla-7.0.ebuild
201 +++ b/app-emulation/wine-vanilla/wine-vanilla-7.0.ebuild
202 @@ -143,80 +143,14 @@ if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
203 fi
204
205 wine_compiler_check() {
206 - # GCC-specific bugs
207 - if tc-is-gcc; then
208 - # bug #549768
209 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
210 - ebegin "Checking for gcc-5 ms_abi compiler bug"
211 - $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
212 - # Run in subshell to prevent "Aborted" message
213 - ( "${T}"/pr66838 || false ) >/dev/null 2>&1
214 - if ! eend $?; then
215 - eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
216 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
217 - eerror "or use gcc-config to select a different compiler version."
218 - eerror "See https://bugs.gentoo.org/549768"
219 - eerror
220 - return 1
221 - fi
222 - fi
223 - # bug #574044
224 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
225 - ebegin "Checking for gcc-5-3 stack realignment compiler bug"
226 - # Compile in subshell to prevent "Aborted" message
227 - ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
228 - if ! eend $?; then
229 - eerror "Wine cannot be built with this version of gcc-5.3"
230 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
231 - eerror "or use gcc-config to select a different compiler version."
232 - eerror "See https://bugs.gentoo.org/574044"
233 - eerror
234 - return 1
235 - fi
236 - fi
237 - fi
238 -
239 # Ensure compiler support
240 - if use abi_x86_64; then
241 - ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
242 - # Compile in subshell to prevent "Aborted" message
243 - ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
244 - if ! eend $?; then
245 - eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
246 - eerror
247 - eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
248 - eerror
249 - return 1
250 - fi
251 - fi
252 + # (No checks here as of 2022)
253 + return 0
254 }
255
256 wine_build_environment_check() {
257 [[ ${MERGE_TYPE} = "binary" ]] && return 0
258
259 - if use abi_x86_64; then
260 - if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
261 - eerror "You need gcc-4.4+ to compile 64-bit wine"
262 - die
263 - elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
264 - eerror "You need clang-3.8+ to compile 64-bit wine"
265 - die
266 - fi
267 - fi
268 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
269 - ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
270 - ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
271 - ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
272 - fi
273 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
274 - if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
275 - ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
276 - ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
277 - ewarn "See package.env in man 5 portage for more information on how to do this."
278 - ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
279 - fi
280 - fi
281 -
282 if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
283 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
284 eerror "See https://bugs.gentoo.org/487864 for more details."
285
286 diff --git a/app-emulation/wine-vanilla/wine-vanilla-7.5-r1.ebuild b/app-emulation/wine-vanilla/wine-vanilla-7.5-r1.ebuild
287 index 604ac11b5cf9..11829957a62f 100644
288 --- a/app-emulation/wine-vanilla/wine-vanilla-7.5-r1.ebuild
289 +++ b/app-emulation/wine-vanilla/wine-vanilla-7.5-r1.ebuild
290 @@ -144,80 +144,15 @@ if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
291 fi
292
293 wine_compiler_check() {
294 - # GCC-specific bugs
295 - if tc-is-gcc; then
296 - # bug #549768
297 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
298 - ebegin "Checking for gcc-5 ms_abi compiler bug"
299 - $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
300 - # Run in subshell to prevent "Aborted" message
301 - ( "${T}"/pr66838 || false ) >/dev/null 2>&1
302 - if ! eend $?; then
303 - eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
304 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
305 - eerror "or use gcc-config to select a different compiler version."
306 - eerror "See https://bugs.gentoo.org/549768"
307 - eerror
308 - return 1
309 - fi
310 - fi
311 - # bug #574044
312 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
313 - ebegin "Checking for gcc-5-3 stack realignment compiler bug"
314 - # Compile in subshell to prevent "Aborted" message
315 - ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
316 - if ! eend $?; then
317 - eerror "Wine cannot be built with this version of gcc-5.3"
318 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
319 - eerror "or use gcc-config to select a different compiler version."
320 - eerror "See https://bugs.gentoo.org/574044"
321 - eerror
322 - return 1
323 - fi
324 - fi
325 - fi
326 -
327 # Ensure compiler support
328 - if use abi_x86_64; then
329 - ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
330 - # Compile in subshell to prevent "Aborted" message
331 - ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
332 - if ! eend $?; then
333 - eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
334 - eerror
335 - eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
336 - eerror
337 - return 1
338 - fi
339 - fi
340 + # Ensure compiler support
341 + # (No checks here as of 2022)
342 + return 0
343 }
344
345 wine_build_environment_check() {
346 [[ ${MERGE_TYPE} = "binary" ]] && return 0
347
348 - if use abi_x86_64; then
349 - if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
350 - eerror "You need gcc-4.4+ to compile 64-bit wine"
351 - die
352 - elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
353 - eerror "You need clang-3.8+ to compile 64-bit wine"
354 - die
355 - fi
356 - fi
357 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
358 - ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
359 - ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
360 - ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
361 - fi
362 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
363 - if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
364 - ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
365 - ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
366 - ewarn "See package.env in man 5 portage for more information on how to do this."
367 - ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
368 - fi
369 - fi
370 -
371 if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
372 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
373 eerror "See https://bugs.gentoo.org/487864 for more details."
374
375 diff --git a/app-emulation/wine-vanilla/wine-vanilla-7.6-r1.ebuild b/app-emulation/wine-vanilla/wine-vanilla-7.6-r1.ebuild
376 index 10954b863ac5..7e5368175d7d 100644
377 --- a/app-emulation/wine-vanilla/wine-vanilla-7.6-r1.ebuild
378 +++ b/app-emulation/wine-vanilla/wine-vanilla-7.6-r1.ebuild
379 @@ -144,80 +144,14 @@ if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
380 fi
381
382 wine_compiler_check() {
383 - # GCC-specific bugs
384 - if tc-is-gcc; then
385 - # bug #549768
386 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
387 - ebegin "Checking for gcc-5 ms_abi compiler bug"
388 - $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
389 - # Run in subshell to prevent "Aborted" message
390 - ( "${T}"/pr66838 || false ) >/dev/null 2>&1
391 - if ! eend $?; then
392 - eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
393 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
394 - eerror "or use gcc-config to select a different compiler version."
395 - eerror "See https://bugs.gentoo.org/549768"
396 - eerror
397 - return 1
398 - fi
399 - fi
400 - # bug #574044
401 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
402 - ebegin "Checking for gcc-5-3 stack realignment compiler bug"
403 - # Compile in subshell to prevent "Aborted" message
404 - ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
405 - if ! eend $?; then
406 - eerror "Wine cannot be built with this version of gcc-5.3"
407 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
408 - eerror "or use gcc-config to select a different compiler version."
409 - eerror "See https://bugs.gentoo.org/574044"
410 - eerror
411 - return 1
412 - fi
413 - fi
414 - fi
415 -
416 # Ensure compiler support
417 - if use abi_x86_64; then
418 - ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
419 - # Compile in subshell to prevent "Aborted" message
420 - ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
421 - if ! eend $?; then
422 - eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
423 - eerror
424 - eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
425 - eerror
426 - return 1
427 - fi
428 - fi
429 + # (No checks here as of 2022)
430 + return 0
431 }
432
433 wine_build_environment_check() {
434 [[ ${MERGE_TYPE} = "binary" ]] && return 0
435
436 - if use abi_x86_64; then
437 - if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
438 - eerror "You need gcc-4.4+ to compile 64-bit wine"
439 - die
440 - elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
441 - eerror "You need clang-3.8+ to compile 64-bit wine"
442 - die
443 - fi
444 - fi
445 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
446 - ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
447 - ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
448 - ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
449 - fi
450 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
451 - if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
452 - ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
453 - ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
454 - ewarn "See package.env in man 5 portage for more information on how to do this."
455 - ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
456 - fi
457 - fi
458 -
459 if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
460 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
461 eerror "See https://bugs.gentoo.org/487864 for more details."
462
463 diff --git a/app-emulation/wine-vanilla/wine-vanilla-7.7.ebuild b/app-emulation/wine-vanilla/wine-vanilla-7.7.ebuild
464 index 10954b863ac5..7e5368175d7d 100644
465 --- a/app-emulation/wine-vanilla/wine-vanilla-7.7.ebuild
466 +++ b/app-emulation/wine-vanilla/wine-vanilla-7.7.ebuild
467 @@ -144,80 +144,14 @@ if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
468 fi
469
470 wine_compiler_check() {
471 - # GCC-specific bugs
472 - if tc-is-gcc; then
473 - # bug #549768
474 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
475 - ebegin "Checking for gcc-5 ms_abi compiler bug"
476 - $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
477 - # Run in subshell to prevent "Aborted" message
478 - ( "${T}"/pr66838 || false ) >/dev/null 2>&1
479 - if ! eend $?; then
480 - eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
481 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
482 - eerror "or use gcc-config to select a different compiler version."
483 - eerror "See https://bugs.gentoo.org/549768"
484 - eerror
485 - return 1
486 - fi
487 - fi
488 - # bug #574044
489 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
490 - ebegin "Checking for gcc-5-3 stack realignment compiler bug"
491 - # Compile in subshell to prevent "Aborted" message
492 - ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
493 - if ! eend $?; then
494 - eerror "Wine cannot be built with this version of gcc-5.3"
495 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
496 - eerror "or use gcc-config to select a different compiler version."
497 - eerror "See https://bugs.gentoo.org/574044"
498 - eerror
499 - return 1
500 - fi
501 - fi
502 - fi
503 -
504 # Ensure compiler support
505 - if use abi_x86_64; then
506 - ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
507 - # Compile in subshell to prevent "Aborted" message
508 - ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
509 - if ! eend $?; then
510 - eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
511 - eerror
512 - eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
513 - eerror
514 - return 1
515 - fi
516 - fi
517 + # (No checks here as of 2022)
518 + return 0
519 }
520
521 wine_build_environment_check() {
522 [[ ${MERGE_TYPE} = "binary" ]] && return 0
523
524 - if use abi_x86_64; then
525 - if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
526 - eerror "You need gcc-4.4+ to compile 64-bit wine"
527 - die
528 - elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
529 - eerror "You need clang-3.8+ to compile 64-bit wine"
530 - die
531 - fi
532 - fi
533 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
534 - ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
535 - ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
536 - ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
537 - fi
538 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
539 - if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
540 - ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
541 - ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
542 - ewarn "See package.env in man 5 portage for more information on how to do this."
543 - ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
544 - fi
545 - fi
546 -
547 if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
548 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
549 eerror "See https://bugs.gentoo.org/487864 for more details."
550
551 diff --git a/app-emulation/wine-vanilla/wine-vanilla-7.8.ebuild b/app-emulation/wine-vanilla/wine-vanilla-7.8.ebuild
552 index d50aeddf1f7c..0ff4ad29a37e 100644
553 --- a/app-emulation/wine-vanilla/wine-vanilla-7.8.ebuild
554 +++ b/app-emulation/wine-vanilla/wine-vanilla-7.8.ebuild
555 @@ -142,80 +142,14 @@ if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
556 fi
557
558 wine_compiler_check() {
559 - # GCC-specific bugs
560 - if tc-is-gcc; then
561 - # bug #549768
562 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
563 - ebegin "Checking for gcc-5 ms_abi compiler bug"
564 - $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
565 - # Run in subshell to prevent "Aborted" message
566 - ( "${T}"/pr66838 || false ) >/dev/null 2>&1
567 - if ! eend $?; then
568 - eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
569 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
570 - eerror "or use gcc-config to select a different compiler version."
571 - eerror "See https://bugs.gentoo.org/549768"
572 - eerror
573 - return 1
574 - fi
575 - fi
576 - # bug #574044
577 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
578 - ebegin "Checking for gcc-5-3 stack realignment compiler bug"
579 - # Compile in subshell to prevent "Aborted" message
580 - ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
581 - if ! eend $?; then
582 - eerror "Wine cannot be built with this version of gcc-5.3"
583 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
584 - eerror "or use gcc-config to select a different compiler version."
585 - eerror "See https://bugs.gentoo.org/574044"
586 - eerror
587 - return 1
588 - fi
589 - fi
590 - fi
591 -
592 # Ensure compiler support
593 - if use abi_x86_64; then
594 - ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
595 - # Compile in subshell to prevent "Aborted" message
596 - ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
597 - if ! eend $?; then
598 - eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
599 - eerror
600 - eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
601 - eerror
602 - return 1
603 - fi
604 - fi
605 + # (No checks here as of 2022)
606 + return 0
607 }
608
609 wine_build_environment_check() {
610 [[ ${MERGE_TYPE} = "binary" ]] && return 0
611
612 - if use abi_x86_64; then
613 - if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
614 - eerror "You need gcc-4.4+ to compile 64-bit wine"
615 - die
616 - elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
617 - eerror "You need clang-3.8+ to compile 64-bit wine"
618 - die
619 - fi
620 - fi
621 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
622 - ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
623 - ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
624 - ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
625 - fi
626 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
627 - if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
628 - ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
629 - ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
630 - ewarn "See package.env in man 5 portage for more information on how to do this."
631 - ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
632 - fi
633 - fi
634 -
635 if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
636 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
637 eerror "See https://bugs.gentoo.org/487864 for more details."
638
639 diff --git a/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild b/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
640 index d50aeddf1f7c..0ff4ad29a37e 100644
641 --- a/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
642 +++ b/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
643 @@ -142,80 +142,14 @@ if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
644 fi
645
646 wine_compiler_check() {
647 - # GCC-specific bugs
648 - if tc-is-gcc; then
649 - # bug #549768
650 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
651 - ebegin "Checking for gcc-5 ms_abi compiler bug"
652 - $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
653 - # Run in subshell to prevent "Aborted" message
654 - ( "${T}"/pr66838 || false ) >/dev/null 2>&1
655 - if ! eend $?; then
656 - eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
657 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
658 - eerror "or use gcc-config to select a different compiler version."
659 - eerror "See https://bugs.gentoo.org/549768"
660 - eerror
661 - return 1
662 - fi
663 - fi
664 - # bug #574044
665 - if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
666 - ebegin "Checking for gcc-5-3 stack realignment compiler bug"
667 - # Compile in subshell to prevent "Aborted" message
668 - ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
669 - if ! eend $?; then
670 - eerror "Wine cannot be built with this version of gcc-5.3"
671 - eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
672 - eerror "or use gcc-config to select a different compiler version."
673 - eerror "See https://bugs.gentoo.org/574044"
674 - eerror
675 - return 1
676 - fi
677 - fi
678 - fi
679 -
680 # Ensure compiler support
681 - if use abi_x86_64; then
682 - ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
683 - # Compile in subshell to prevent "Aborted" message
684 - ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
685 - if ! eend $?; then
686 - eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
687 - eerror
688 - eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
689 - eerror
690 - return 1
691 - fi
692 - fi
693 + # (No checks here as of 2022)
694 + return 0
695 }
696
697 wine_build_environment_check() {
698 [[ ${MERGE_TYPE} = "binary" ]] && return 0
699
700 - if use abi_x86_64; then
701 - if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
702 - eerror "You need gcc-4.4+ to compile 64-bit wine"
703 - die
704 - elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
705 - eerror "You need clang-3.8+ to compile 64-bit wine"
706 - die
707 - fi
708 - fi
709 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
710 - ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
711 - ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
712 - ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
713 - fi
714 - if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
715 - if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
716 - ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
717 - ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
718 - ewarn "See package.env in man 5 portage for more information on how to do this."
719 - ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
720 - fi
721 - fi
722 -
723 if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
724 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
725 eerror "See https://bugs.gentoo.org/487864 for more details."